import type { VueNode } from '@antdv/ui/es/types';
export declare function resolvePropValue(options: any, props: any, key: any, value: any): any;
export declare function getDataAndAriaProps(props: any): {};
export declare function toPx(val: any): any;
export declare function renderHelper<T = Record<string, any>>(v: VueNode | ((arg0: T) => VueNode), props?: T, defaultV?: any): any;
export declare function wrapPromiseFn(openFn: (resolve: VoidFunction) => VoidFunction): any;
export declare function withUndefined<T extends {
    default?: any;
}>(type: T): T;
